use crate::message::Header;


enum ParseError {

}

type Result<T> = std::result::Result<T,ParseError>;

fn parse_header(input: &[u8]) -> Result<Option<Header>> {
    todo!()
}

fn parse_question_section(input: &[u8]) -> Result<Option<Header>> {
    todo!()
}

fn parse_record_section(input: &[u8]) -> Result<Option<Header>> {
    todo!()
}

fn parse_message(input: &[u8]) -> Result<Option<Header>> {
    todo!()
}
